@mixin _btn-alignment() {
  position: relative;
  width: 100%;
  height: 50px;
  margin: 0 0 20px 0;
  padding: 3px 40px;
  @include _align-flex(center, center, column);

  &[data-icon]:before {
    position: absolute;
    left: 0;
    top: 0;
    width: 40px;
    height: 100%;
    @include _align-flex(center, center);
  }
}

@mixin _btn-style($background-color: $button-default-background, $color: $button-default-color) {
  appearance: inherit;
  border: 0;
  border-radius: $border-radius;
  background: $background-color;
  border-bottom: 3px solid darken($background-color, 10%);

  @include _transition(all);
  @include _font-button('regular', $color);
  @include _font-size($font-size-5);
  text-align: center;

  &:before {
    background: darken($background-color, 6%);
    border-right: 1px solid darken($background-color, 10%);
  }

  &:not([href]):not([tabindex]) {
    color: $color;
  }

  @include _link-default() {
    color: $color;
    text-decoration: none;
  }
  @include _link-active() {
    outline: none;
    text-decoration: none;
    color: $color;
    border-color: darken($background-color, 10%);
    background: darken($background-color, 6%);

    &:not([href]):not([tabindex]) {
      color: $color;
    }
  }

  &:disabled,
  &.disabled {
    background: rgba(255, 255, 255, .6);
    color: darken($color_greydark, 20%);
    border: 0;
    cursor: not-allowed;

    &:before {
      background: transparent;
      border-color: darken($color_greydark, 5%);
    }
  }
}

// =======================================
button,
input[type="submit"]{
  display: block;
  width: 100%;
  margin: 0;
  padding: 0;
  border: 0;
  background: transparent;
  @include _reset-glow();
}


.btn-kkl {
  @include _btn-alignment();
  @include _btn-style($button-cta-background, $button-cta-color);
}

.btn-default {
  @include _btn-alignment();
  @include _btn-style($button-default-background, $button-default-color);
}

.btn-addplayer {
  @include _btn-alignment();
  @include _btn-style($button-addplayer-background, $button-addplayer-color);
}